Name:           system-storage-manager
Version:        0.2
Release:        1%{?dist}
Summary:        A single tool to manage your storage

Group:          System Environment/Base
License:        GPLv2+
URL:            http://storagemanager.sf.net
Source0:        http://downloads.sourceforge.net/storagemanager/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel >= 2.6
Requires:       python >= 2.6
Requires:       python-libs >= 2.6
Requires:       util-linux
Requires:       which
Requires:       xfsprogs
Requires:       e2fsprogs


%description
System Storage Manager provides an easy to use command line interface to manage
your storage using various technologies like lvm, btrfs, encrypted volumes and
more.

In more sophisticated enterprise storage environments, management with Device
Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md) is becoming
increasingly more difficult.  With file systems added to the mix, the number of
tools needed to configure and manage storage has grown so large that it is
simply not user friendly.  With so many options for a system administrator to
consider, the opportunity for errors and problems is large.

The btrfs administration tools have shown us that storage management can be
simplified, and we are working to bring that ease of use to Linux file systems
in general.

You should install the ssm if you need to manage your storage with various
technologies via a single unified interface.


%prep
%setup -q


%build
# nothing to build


%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%files
%{_bindir}/ssm
%{_docdir}/%{name}-%{version}/
%{_mandir}/man8/ssm.8*
%{python_sitelib}/ssmlib/
%{python_sitelib}/*.egg-info


%changelog
* Fri Jun  1 2012 Lukas Czerner <lczerner@redhat.com> 0.2-1
- Initial version of the package
